package com.rdlze.radializebase.interfaces;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

import com.rdlze.radializeutils.notification.Notification;

public interface InterfaceNotifiable extends Remote, Serializable {
	
	public void notify(Notification notification) throws RemoteException;

	public void notify(List list) throws RemoteException;

	public void registerNotifiable(String IP, String serviceName, int port)
			throws RemoteException;

	public String getName() throws RemoteException;
}
