package com.rdlze.radializebase.notification;


import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import com.rdlze.radializebase.interfaces.InterfaceNotifiable;
import com.rdlze.radializebase.interfaces.InterfaceSearchServer;
import com.rdlze.radializeutils.notification.Notification;


public class NotifierObject
{
   private static InterfaceNotifiable notifiable;
   private static InterfaceSearchServer interfaceSearcher;
   //private static InterfaceMediaRefreshServer interfaceMediaRefreshServer;
   Registry registry;
	
	public NotifierObject()
	{
	    try
	    {	
	    	//Conecta no Broken
	 	    registry = LocateRegistry.getRegistry("200.239.133.6");
            notifiable = (InterfaceNotifiable)registry.lookup("NotificationBroker");  
            
            //Conecta no SearchServer
            registry = LocateRegistry.getRegistry("200.239.133.206");
    		interfaceSearcher = (InterfaceSearchServer)registry.lookup("SearchServer");	 	
    		 
    		
    		 //Conecta no MediaRefreshServer
            // registry = LocateRegistry.getRegistry("200.239.133.25");
            // interfaceMediaRefreshServer = (InterfaceMediaRefreshServer)registry.lookup("MediaRefreshServer");      
              		
	     }	
         catch(RemoteException e)
         {
            e.printStackTrace();
         }
         catch(NotBoundException e)
         {
             e.printStackTrace();
        }
        catch(Exception e)
        {
    	    e.printStackTrace();
        }	    
   }	
	
	/*public void notifyNewRefreshMedia(int conf) throws RemoteException
	{		
		 interfaceMediaRefreshServer.notifyRefreshIndex(conf);		 
	}	*/
	
	
	public void brokenNotify(Notification  n) throws RemoteException
	{	  		    	
	    notifiable.notify(n);		 
	}
}
